diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 251f770..a485cc4 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -59863,7 +59863,7 @@ ModularHermitianRowReduction(R): Exports == Implementation where
     determinantOfMinor: M -> R
     enumerateBinomial: (List Z, Z, Z) -> List Z
 
-    nonzero? v == any?(#1 ^= 0, v)
+    nonzero? v == any?(s +-> s ^= 0, v)
 
 -- returns [a, i, rown] if v = [0,...,0,a,0,...,0]
 -- where a <> 0 and i is the index of a, "failed" otherwise.
@@ -59934,7 +59934,7 @@ ModularHermitianRowReduction(R): Exports == Implementation where
       rowEchelon(u.mat, u.val)
 
     vconc(y, m) ==
-      vertConcat(diagonalMatrix new(ncols y, m)$V, map(#1 rem m, y))
+      vertConcat(diagonalMatrix new(ncols y, m)$V, map(s +-> s rem m, y))
 
     order(m, p) ==
       zero? m => -1
diff --git a/changelog b/changelog
index 9a223c9..e49fab2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090608 tpd src/axiom-website/patches.html 20090608.05.tpd.patch
+20090608 tpd books/bookvol10.4 MHROWRED +-> conversion
 20090608 tpd src/axiom-website/patches.html 20090608.04.tpd.patch
 20090608 tpd books/bookvol10.4 MDDFACT +-> conversion
 20090608 tpd src/axiom-website/patches.html 20090608.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 24e2789..5ac69d2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1503,5 +1503,7 @@ bookvol10.4 MESH +-> conversion<br/>
 tpieazas002.input CATS test added<br/>
 <a href="patches/20090608.04.tpd.patch">20090608.04.tpd.patch</a>
 bookvol10.4 MDDFACT +-> conversion<br/>
+<a href="patches/20090608.05.tpd.patch">20090608.05.tpd.patch</a>
+bookvol10.4 MHROWRED +-> conversion<br/>
  </body>
 </html>
